package es.uv.garcosda.domain;

import java.io.Serializable;
import java.util.Date;

import org.hibernate.annotations.GenericGenerator;
import org.springframework.hateoas.RepresentationModel;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;

@Entity
@Table(name = "comments")
public class Comment extends RepresentationModel<Video> implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "UUID")
	@GenericGenerator(
            name = "UUID",
            strategy = "org.hibernate.id.UUIDGenerator"
    )
	@Column(name="id", columnDefinition = "VARCHAR(255)", updatable = false, nullable = false)
	private String id;
	
	@Column(name = "user_id", columnDefinition = "VARCHAR(255)")
	private String userId;
	
	@Column(name = "video_id", columnDefinition = "VARCHAR(255)")
	private String videoId;
	
	@Column(name = "comment", columnDefinition = "VARCHAR(4096)")
	private String comment;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "added_date")
	private Date addedDate = new Date();

	public Comment() {}
	
	public Comment(String id, String userId, String videoId, String comment, Date addedDate) {
		this.id = id;
		this.userId = userId;
		this.videoId = videoId;
		this.comment = comment;
		this.addedDate = addedDate;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getVideoId() {
		return videoId;
	}

	public void setVideoId(String videoId) {
		this.videoId = videoId;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public Date getAddedDate() {
		return addedDate;
	}

	public void setAddedDate(Date addedDate) {
		this.addedDate = addedDate;
	}
	
	
	
}
