package es.uv.garcosda.services;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import es.uv.garcosda.domain.User;
import es.uv.garcosda.repositories.UserRepository;

@Service
@Transactional
public class UserService {

	@Autowired UserRepository ur;

	public List<User> findAll(){
		return ur.findAll();
	}

	public Optional<User> findById(String id) {
		return ur.findById(id);
	}
	
	public List<User> findByFirstname(String firstname){
		return ur.findByFirstname(firstname);
	}
	
	public List<User> findByLastname(String lastname){
		return ur.findByLastname(lastname);
	}
	
	public User update(User user) {
		return ur.save(user);
	}
	
	public User create(User user) {
		return ur.save(user);
	}

	public void deleteById(String id) {
		ur.deleteById(id);
	}
	
}
