package es.uv.garcosda.services;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import es.uv.garcosda.domain.Video;
import es.uv.garcosda.repositories.VideoRepository;

@Service
@Transactional
public class VideoService {
	
	@Autowired VideoRepository vr;

	public List<Video> findAll(){
		return vr.findAll();
	}

	public Optional<Video> findById(String id) {
		return vr.findById(id);
	}
	
	public List<Video> findByTitle(String title){
		return vr.findByTitle(title);
	}
	
	public List<Video> findByUserId(String user_id){
		return vr.findByUserId(user_id);
	}

	public Video update(Video video) {
		return vr.save(video);
	}
	
	public Video create(Video video) {
		return vr.save(video);
	}

	public void deleteById(String id) {
		vr.deleteById(id);
	}
}
